CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

AltUnitsScale Property (ActiveX)

2023-1-3 23:00| 发布者: admin| 查看: 708| 评论: 0|来自: AutoCAD

摘要: 指定备用单位的比例因子。

指定备用单位的比例因子。

支持的平台:仅窗口

签名

工 务 局:

object.AltUnitsScale
对象

类型:对齐,暗弧长度,暗径,暗坐标径,暗大,暗心旋转

此属性适用的对象。

属性值

只读:

类型:

应用于备用单位的比例因子。

言论

如果启用此属性,则此属性将线性尺寸乘以因子,以在备用度量系统中生成值。初始值表示英寸中的毫米数。AltUnits

该属性的初始值为 25.4000。

注意:此属性覆盖给定维度的 DIMALTF 系统变量的值。

例子

工 务 局:

Sub Example_AltUnitsScale()
    ' This example creates an aligned dimension in model space and
    ' uses AltUnitsScale to cycle through some common scales
    ' for the alternate dimension

    Dim dimObj As AcadDimAligned
    Dim point1(0 To 2) As Double, point2(0 To 2) As Double
    Dim location(0 To 2) As Double
    
    ' Define the dimension
    point1(0) = 0: point1(1) = 5: point1(2) = 0
    point2(0) = 5: point2(1) = 5: point2(2) = 0
    location(0) = 5: location(1) = 7: location(2) = 0
    
    ' Create an aligned dimension object in model space
    Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(point1, point2, location)
    ThisDrawing.Application.ZoomAll
    
    ' Enable display of alternate units
    dimObj.AltUnits = True
      
    ' Cycle through some common dimension scales
    
    dimObj.AltUnitsScale = 1         ' Change scale to Inches
    ThisDrawing.Regen acAllViewports
    MsgBox "The alternate dimension units are now set to inches"
    
    dimObj.AltUnitsScale = 25.4     ' Change scale to Millimeters (default)
    ThisDrawing.Regen acAllViewports
    MsgBox "The alternate dimension units are now set to millimeters"
    
    dimObj.AltUnitsScale = 2.54      ' Change scale to Centimeters
    ThisDrawing.Regen acAllViewports
    MsgBox "The alternate dimension units are now set to centimeters"

End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_AltUnitsScale()
    ;; This example creates an aligned dimension in model space and
    ;; uses AltUnitsScale to cycle through some common scales
    ;; for the alternate dimension
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))

    ;; Define the dimension
    (setq point1 (vlax-3d-point 0 5 0)
          point2 (vlax-3d-point 5 5 0)
          location (vlax-3d-point 5 7 0))

    ;; Create an aligned dimension object in model space
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq dimObj (vla-AddDimAligned modelSpace point1 point2 location))
    (vla-ZoomAll acadObj)
    
    ;; Enable display of alternate units
    (vla-put-AltUnits dimObj :vlax-true)
      
    ;; Cycle through some common dimension scales
    (vla-put-AltUnitsScale dimObj 1)         ;; Change scale to Inches
    (vla-Regen doc acAllViewports)
    (alert "The alternate dimension units are now set to inches.")
    
    (vla-put-AltUnitsScale dimObj 25.4)     ;; Change scale to Millimeters (default)
    (vla-Regen doc acAllViewports)
    (alert "The alternate dimension units are now set to millimeters.")
    
    (vla-put-AltUnitsScale dimObj 2.54)      ;; Change scale to Centimeters
    (vla-Regen doc acAllViewports)
    (alert "The alternate dimension units are now set to centimeters.")
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-19 13:16

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部